#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSS" "\0"
  /*   862 */ "CSS2Properties" "\0"
  /*   877 */ "CSSAnimation" "\0"
  /*   890 */ "CSSConditionRule" "\0"
  /*   907 */ "CSSContainerRule" "\0"
  /*   924 */ "CSSCounterStyleRule" "\0"
  /*   944 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*   977 */ "CSSFontFaceRule" "\0"
  /*   993 */ "CSSFontFeatureValuesRule" "\0"
  /*  1018 */ "CSSFontPaletteValuesRule" "\0"
  /*  1043 */ "CSSGroupingRule" "\0"
  /*  1059 */ "CSSImportRule" "\0"
  /*  1073 */ "CSSKeyframeRule" "\0"
  /*  1089 */ "CSSKeyframesRule" "\0"
  /*  1106 */ "CSSLayerBlockRule" "\0"
  /*  1124 */ "CSSLayerStatementRule" "\0"
  /*  1146 */ "CSSMediaRule" "\0"
  /*  1159 */ "CSSMozDocumentRule" "\0"
  /*  1178 */ "CSSNamespaceRule" "\0"
  /*  1195 */ "CSSPageRule" "\0"
  /*  1207 */ "CSSPropertyRule" "\0"
  /*  1223 */ "CSSPseudoElement" "\0"
  /*  1240 */ "CSSRule" "\0"
  /*  1248 */ "CSSRuleList" "\0"
  /*  1260 */ "CSSScopeRule" "\0"
  /*  1273 */ "CSSStartingStyleRule" "\0"
  /*  1294 */ "CSSStyleDeclaration" "\0"
  /*  1314 */ "CSSStyleRule" "\0"
  /*  1327 */ "CSSStyleSheet" "\0"
  /*  1341 */ "CSSSupportsRule" "\0"
  /*  1357 */ "CSSTransition" "\0"
  /*  1371 */ "Cache" "\0"
  /*  1377 */ "CacheStorage" "\0"
  /*  1390 */ "CallbackDebuggerNotification" "\0"
  /*  1419 */ "CanonicalBrowsingContext" "\0"
  /*  1444 */ "CanvasCaptureMediaStream" "\0"
  /*  1469 */ "CanvasGradient" "\0"
  /*  1484 */ "CanvasPattern" "\0"
  /*  1498 */ "CanvasRenderingContext2D" "\0"
  /*  1523 */ "CaretPosition" "\0"
  /*  1537 */ "CaretStateChangedEvent" "\0"
  /*  1560 */ "ChannelMergerNode" "\0"
  /*  1578 */ "ChannelSplitterNode" "\0"
  /*  1598 */ "ChannelWrapper" "\0"
  /*  1613 */ "CharacterData" "\0"
  /*  1627 */ "CheckerboardReportService" "\0"
  /*  1653 */ "ChildProcessMessageManager" "\0"
  /*  1680 */ "ChildSHistory" "\0"
  /*  1694 */ "ChromeMessageBroadcaster" "\0"
  /*  1719 */ "ChromeMessageSender" "\0"
  /*  1739 */ "ChromeNodeList" "\0"
  /*  1754 */ "ChromeUtils" "\0"
  /*  1766 */ "ChromeWorker" "\0"
  /*  1779 */ "Client" "\0"
  /*  1786 */ "Clients" "\0"
  /*  1794 */ "Clipboard" "\0"
  /*  1804 */ "ClipboardEvent" "\0"
  /*  1819 */ "ClipboardItem" "\0"
  /*  1833 */ "ClonedErrorHolder" "\0"
  /*  1851 */ "CloseEvent" "\0"
  /*  1862 */ "CommandEvent" "\0"
  /*  1875 */ "Comment" "\0"
  /*  1883 */ "CompositionEvent" "\0"
  /*  1900 */ "CompressionStream" "\0"
  /*  1918 */ "ConsoleInstance" "\0"
  /*  1934 */ "ConstantSourceNode" "\0"
  /*  1953 */ "ContentFrameMessageManager" "\0"
  /*  1980 */ "ContentProcessMessageManager" "\0"
  /*  2009 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2047 */ "ConvolverNode" "\0"
  /*  2061 */ "CountQueuingStrategy" "\0"
  /*  2082 */ "CreateOfferRequest" "\0"
  /*  2101 */ "Credential" "\0"
  /*  2112 */ "CredentialsContainer" "\0"
  /*  2133 */ "Crypto" "\0"
  /*  2140 */ "CryptoKey" "\0"
  /*  2150 */ "CustomElementRegistry" "\0"
  /*  2172 */ "CustomEvent" "\0"
  /*  2184 */ "CustomStateSet" "\0"
  /*  2199 */ "DOMException" "\0"
  /*  2212 */ "DOMImplementation" "\0"
  /*  2230 */ "DOMLocalization" "\0"
  /*  2246 */ "DOMMatrix" "\0"
  /*  2256 */ "DOMMatrixReadOnly" "\0"
  /*  2274 */ "DOMParser" "\0"
  /*  2284 */ "DOMPoint" "\0"
  /*  2293 */ "DOMPointReadOnly" "\0"
  /*  2310 */ "DOMQuad" "\0"
  /*  2318 */ "DOMRect" "\0"
  /*  2326 */ "DOMRectList" "\0"
  /*  2338 */ "DOMRectReadOnly" "\0"
  /*  2354 */ "DOMStringList" "\0"
  /*  2368 */ "DOMStringMap" "\0"
  /*  2381 */ "DOMTokenList" "\0"
  /*  2394 */ "DataTransfer" "\0"
  /*  2407 */ "DataTransferItem" "\0"
  /*  2424 */ "DataTransferItemList" "\0"
  /*  2445 */ "DebuggerNotification" "\0"
  /*  2466 */ "DebuggerNotificationObserver" "\0"
  /*  2495 */ "DecompressionStream" "\0"
  /*  2515 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2542 */ "DelayNode" "\0"
  /*  2552 */ "DeprecationReportBody" "\0"
  /*  2574 */ "DeviceAcceleration" "\0"
  /*  2593 */ "DeviceLightEvent" "\0"
  /*  2610 */ "DeviceMotionEvent" "\0"
  /*  2628 */ "DeviceOrientationEvent" "\0"
  /*  2651 */ "DeviceRotationRate" "\0"
  /*  2670 */ "Directory" "\0"
  /*  2680 */ "Document" "\0"
  /*  2689 */ "DocumentFragment" "\0"
  /*  2706 */ "DocumentL10n" "\0"
  /*  2719 */ "DocumentTimeline" "\0"
  /*  2736 */ "DocumentType" "\0"
  /*  2749 */ "DominatorTree" "\0"
  /*  2763 */ "DragEvent" "\0"
  /*  2773 */ "DynamicsCompressorNode" "\0"
  /*  2796 */ "EXT_blend_minmax" "\0"
  /*  2813 */ "EXT_color_buffer_float" "\0"
  /*  2836 */ "EXT_color_buffer_half_float" "\0"
  /*  2864 */ "EXT_disjoint_timer_query" "\0"
  /*  2889 */ "EXT_float_blend" "\0"
  /*  2905 */ "EXT_frag_depth" "\0"
  /*  2920 */ "EXT_sRGB" "\0"
  /*  2929 */ "EXT_shader_texture_lod" "\0"
  /*  2952 */ "EXT_texture_compression_bptc" "\0"
  /*  2981 */ "EXT_texture_compression_rgtc" "\0"
  /*  3010 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3041 */ "EXT_texture_norm16" "\0"
  /*  3060 */ "Element" "\0"
  /*  3068 */ "ElementInternals" "\0"
  /*  3085 */ "EncodedAudioChunk" "\0"
  /*  3103 */ "EncodedVideoChunk" "\0"
  /*  3121 */ "ErrorEvent" "\0"
  /*  3132 */ "Event" "\0"
  /*  3138 */ "EventCallbackDebuggerNotification" "\0"
  /*  3172 */ "EventCounts" "\0"
  /*  3184 */ "EventSource" "\0"
  /*  3196 */ "EventTarget" "\0"
  /*  3208 */ "Exception" "\0"
  /*  3218 */ "ExtendableEvent" "\0"
  /*  3234 */ "ExtendableMessageEvent" "\0"
  /*  3257 */ "ExtensionAlarms" "\0"
  /*  3273 */ "ExtensionBrowser" "\0"
  /*  3290 */ "ExtensionBrowserSettings" "\0"
  /*  3315 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3355 */ "ExtensionDns" "\0"
  /*  3368 */ "ExtensionEventManager" "\0"
  /*  3390 */ "ExtensionMockAPI" "\0"
  /*  3407 */ "ExtensionPort" "\0"
  /*  3421 */ "ExtensionProxy" "\0"
  /*  3436 */ "ExtensionRuntime" "\0"
  /*  3453 */ "ExtensionScripting" "\0"
  /*  3472 */ "ExtensionSetting" "\0"
  /*  3489 */ "ExtensionTest" "\0"
  /*  3503 */ "External" "\0"
  /*  3512 */ "FeaturePolicy" "\0"
  /*  3526 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3559 */ "FetchEvent" "\0"
  /*  3570 */ "FetchObserver" "\0"
  /*  3584 */ "File" "\0"
  /*  3589 */ "FileList" "\0"
  /*  3598 */ "FileReader" "\0"
  /*  3609 */ "FileReaderSync" "\0"
  /*  3624 */ "FileSystem" "\0"
  /*  3635 */ "FileSystemDirectoryEntry" "\0"
  /*  3660 */ "FileSystemDirectoryHandle" "\0"
  /*  3686 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3726 */ "FileSystemDirectoryIterator" "\0"
  /*  3754 */ "FileSystemDirectoryReader" "\0"
  /*  3780 */ "FileSystemEntry" "\0"
  /*  3796 */ "FileSystemFileEntry" "\0"
  /*  3816 */ "FileSystemFileHandle" "\0"
  /*  3837 */ "FileSystemHandle" "\0"
  /*  3854 */ "FileSystemSyncAccessHandle" "\0"
  /*  3881 */ "FileSystemWritableFileStream" "\0"
  /*  3910 */ "Flex" "\0"
  /*  3915 */ "FlexItemValues" "\0"
  /*  3930 */ "FlexLineValues" "\0"
  /*  3945 */ "FluentBundle" "\0"
  /*  3958 */ "FluentBundleAsyncIterator" "\0"
  /*  3984 */ "FluentBundleIterator" "\0"
  /*  4005 */ "FluentPattern" "\0"
  /*  4019 */ "FluentResource" "\0"
  /*  4034 */ "FocusEvent" "\0"
  /*  4045 */ "FontFace" "\0"
  /*  4054 */ "FontFaceSet" "\0"
  /*  4066 */ "FontFaceSetIterator" "\0"
  /*  4086 */ "FontFaceSetLoadEvent" "\0"
  /*  4107 */ "FormData" "\0"
  /*  4116 */ "FormData Iterator" "\0"
  /*  4134 */ "FormDataEvent" "\0"
  /*  4148 */ "FragmentDirective" "\0"
  /*  4166 */ "FrameCrashedEvent" "\0"
  /*  4184 */ "FrameLoader" "\0"
  /*  4196 */ "GPU" "\0"
  /*  4200 */ "GPUAdapter" "\0"
  /*  4211 */ "GPUAdapterInfo" "\0"
  /*  4226 */ "GPUBindGroup" "\0"
  /*  4239 */ "GPUBindGroupLayout" "\0"
  /*  4258 */ "GPUBuffer" "\0"
  /*  4268 */ "GPUBufferUsage" "\0"
  /*  4283 */ "GPUCanvasContext" "\0"
  /*  4300 */ "GPUColorWrite" "\0"
  /*  4314 */ "GPUCommandBuffer" "\0"
  /*  4331 */ "GPUCommandEncoder" "\0"
  /*  4349 */ "GPUCompilationInfo" "\0"
  /*  4368 */ "GPUCompilationMessage" "\0"
  /*  4390 */ "GPUComputePassEncoder" "\0"
  /*  4412 */ "GPUComputePipeline" "\0"
  /*  4431 */ "GPUDevice" "\0"
  /*  4441 */ "GPUDeviceLostInfo" "\0"
  /*  4459 */ "GPUError" "\0"
  /*  4468 */ "GPUInternalError" "\0"
  /*  4485 */ "GPUMapMode" "\0"
  /*  4496 */ "GPUOutOfMemoryError" "\0"
  /*  4516 */ "GPUPipelineLayout" "\0"
  /*  4534 */ "GPUQuerySet" "\0"
  /*  4546 */ "GPUQueue" "\0"
  /*  4555 */ "GPURenderBundle" "\0"
  /*  4571 */ "GPURenderBundleEncoder" "\0"
  /*  4594 */ "GPURenderPassEncoder" "\0"
  /*  4615 */ "GPURenderPipeline" "\0"
  /*  4633 */ "GPUSampler" "\0"
  /*  4644 */ "GPUShaderModule" "\0"
  /*  4660 */ "GPUShaderStage" "\0"
  /*  4675 */ "GPUSupportedFeatures" "\0"
  /*  4696 */ "GPUSupportedLimits" "\0"
  /*  4715 */ "GPUTexture" "\0"
  /*  4726 */ "GPUTextureUsage" "\0"
  /*  4742 */ "GPUTextureView" "\0"
  /*  4757 */ "GPUUncapturedErrorEvent" "\0"
  /*  4781 */ "GPUValidationError" "\0"
  /*  4800 */ "GainNode" "\0"
  /*  4809 */ "Gamepad" "\0"
  /*  4817 */ "GamepadAxisMoveEvent" "\0"
  /*  4838 */ "GamepadButton" "\0"
  /*  4852 */ "GamepadButtonEvent" "\0"
  /*  4871 */ "GamepadEvent" "\0"
  /*  4884 */ "GamepadHapticActuator" "\0"
  /*  4906 */ "GamepadLightIndicator" "\0"
  /*  4928 */ "GamepadPose" "\0"
  /*  4940 */ "GamepadServiceTest" "\0"
  /*  4959 */ "GamepadTouch" "\0"
  /*  4972 */ "Geolocation" "\0"
  /*  4984 */ "GeolocationCoordinates" "\0"
  /*  5007 */ "GeolocationPosition" "\0"
  /*  5027 */ "GeolocationPositionError" "\0"
  /*  5052 */ "GetUserMediaRequest" "\0"
  /*  5072 */ "GleanBoolean" "\0"
  /*  5085 */ "GleanCategory" "\0"
  /*  5099 */ "GleanCounter" "\0"
  /*  5112 */ "GleanCustomDistribution" "\0"
  /*  5136 */ "GleanDatetime" "\0"
  /*  5150 */ "GleanDenominator" "\0"
  /*  5167 */ "GleanEvent" "\0"
  /*  5178 */ "GleanImpl" "\0"
  /*  5188 */ "GleanLabeled" "\0"
  /*  5201 */ "GleanMemoryDistribution" "\0"
  /*  5225 */ "GleanMetric" "\0"
  /*  5237 */ "GleanNumerator" "\0"
  /*  5252 */ "GleanObject" "\0"
  /*  5264 */ "GleanPingsImpl" "\0"
  /*  5279 */ "GleanQuantity" "\0"
  /*  5293 */ "GleanRate" "\0"
  /*  5303 */ "GleanString" "\0"
  /*  5315 */ "GleanStringList" "\0"
  /*  5331 */ "GleanText" "\0"
  /*  5341 */ "GleanTimespan" "\0"
  /*  5355 */ "GleanTimingDistribution" "\0"
  /*  5379 */ "GleanUrl" "\0"
  /*  5388 */ "GleanUuid" "\0"
  /*  5398 */ "Grid" "\0"
  /*  5403 */ "GridArea" "\0"
  /*  5412 */ "GridDimension" "\0"
  /*  5426 */ "GridLine" "\0"
  /*  5435 */ "GridLines" "\0"
  /*  5445 */ "GridTrack" "\0"
  /*  5455 */ "GridTracks" "\0"
  /*  5466 */ "HTMLAllCollection" "\0"
  /*  5484 */ "HTMLAnchorElement" "\0"
  /*  5502 */ "HTMLAreaElement" "\0"
  /*  5518 */ "HTMLAudioElement" "\0"
  /*  5535 */ "HTMLBRElement" "\0"
  /*  5549 */ "HTMLBaseElement" "\0"
  /*  5565 */ "HTMLBodyElement" "\0"
  /*  5581 */ "HTMLButtonElement" "\0"
  /*  5599 */ "HTMLCanvasElement" "\0"
  /*  5617 */ "HTMLCollection" "\0"
  /*  5632 */ "HTMLDListElement" "\0"
  /*  5649 */ "HTMLDataElement" "\0"
  /*  5665 */ "HTMLDataListElement" "\0"
  /*  5685 */ "HTMLDetailsElement" "\0"
  /*  5704 */ "HTMLDialogElement" "\0"
  /*  5722 */ "HTMLDirectoryElement" "\0"
  /*  5743 */ "HTMLDivElement" "\0"
  /*  5758 */ "HTMLDocument" "\0"
  /*  5771 */ "HTMLElement" "\0"
  /*  5783 */ "HTMLEmbedElement" "\0"
  /*  5800 */ "HTMLFieldSetElement" "\0"
  /*  5820 */ "HTMLFontElement" "\0"
  /*  5836 */ "HTMLFormControlsCollection" "\0"
  /*  5863 */ "HTMLFormElement" "\0"
  /*  5879 */ "HTMLFrameElement" "\0"
  /*  5896 */ "HTMLFrameSetElement" "\0"
  /*  5916 */ "HTMLHRElement" "\0"
  /*  5930 */ "HTMLHeadElement" "\0"
  /*  5946 */ "HTMLHeadingElement" "\0"
  /*  5965 */ "HTMLHtmlElement" "\0"
  /*  5981 */ "HTMLIFrameElement" "\0"
  /*  5999 */ "HTMLImageElement" "\0"
  /*  6016 */ "HTMLInputElement" "\0"
  /*  6033 */ "HTMLLIElement" "\0"
  /*  6047 */ "HTMLLabelElement" "\0"
  /*  6064 */ "HTMLLegendElement" "\0"
  /*  6082 */ "HTMLLinkElement" "\0"
  /*  6098 */ "HTMLMapElement" "\0"
  /*  6113 */ "HTMLMarqueeElement" "\0"
  /*  6132 */ "HTMLMediaElement" "\0"
  /*  6149 */ "HTMLMenuElement" "\0"
  /*  6165 */ "HTMLMetaElement" "\0"
  /*  6181 */ "HTMLMeterElement" "\0"
  /*  6198 */ "HTMLModElement" "\0"
  /*  6213 */ "HTMLOListElement" "\0"
  /*  6230 */ "HTMLObjectElement" "\0"
  /*  6248 */ "HTMLOptGroupElement" "\0"
  /*  6268 */ "HTMLOptionElement" "\0"
  /*  6286 */ "HTMLOptionsCollection" "\0"
  /*  6308 */ "HTMLOutputElement" "\0"
  /*  6326 */ "HTMLParagraphElement" "\0"
  /*  6347 */ "HTMLParamElement" "\0"
  /*  6364 */ "HTMLPictureElement" "\0"
  /*  6383 */ "HTMLPreElement" "\0"
  /*  6398 */ "HTMLProgressElement" "\0"
  /*  6418 */ "HTMLQuoteElement" "\0"
  /*  6435 */ "HTMLScriptElement" "\0"
  /*  6453 */ "HTMLSelectElement" "\0"
  /*  6471 */ "HTMLSlotElement" "\0"
  /*  6487 */ "HTMLSourceElement" "\0"
  /*  6505 */ "HTMLSpanElement" "\0"
  /*  6521 */ "HTMLStyleElement" "\0"
  /*  6538 */ "HTMLTableCaptionElement" "\0"
  /*  6562 */ "HTMLTableCellElement" "\0"
  /*  6583 */ "HTMLTableColElement" "\0"
  /*  6603 */ "HTMLTableElement" "\0"
  /*  6620 */ "HTMLTableRowElement" "\0"
  /*  6640 */ "HTMLTableSectionElement" "\0"
  /*  6664 */ "HTMLTemplateElement" "\0"
  /*  6684 */ "HTMLTextAreaElement" "\0"
  /*  6704 */ "HTMLTimeElement" "\0"
  /*  6720 */ "HTMLTitleElement" "\0"
  /*  6737 */ "HTMLTrackElement" "\0"
  /*  6754 */ "HTMLUListElement" "\0"
  /*  6771 */ "HTMLUnknownElement" "\0"
  /*  6790 */ "HTMLVideoElement" "\0"
  /*  6807 */ "HashChangeEvent" "\0"
  /*  6823 */ "Headers" "\0"
  /*  6831 */ "Headers Iterator" "\0"
  /*  6848 */ "HeapSnapshot" "\0"
  /*  6861 */ "Highlight" "\0"
  /*  6871 */ "HighlightRegistry" "\0"
  /*  6889 */ "History" "\0"
  /*  6897 */ "IDBCursor" "\0"
  /*  6907 */ "IDBCursorWithValue" "\0"
  /*  6926 */ "IDBDatabase" "\0"
  /*  6938 */ "IDBFactory" "\0"
  /*  6949 */ "IDBIndex" "\0"
  /*  6958 */ "IDBKeyRange" "\0"
  /*  6970 */ "IDBObjectStore" "\0"
  /*  6985 */ "IDBOpenDBRequest" "\0"
  /*  7002 */ "IDBRequest" "\0"
  /*  7013 */ "IDBTransaction" "\0"
  /*  7028 */ "IDBVersionChangeEvent" "\0"
  /*  7050 */ "IIRFilterNode" "\0"
  /*  7064 */ "IOUtils" "\0"
  /*  7072 */ "IdentityCredential" "\0"
  /*  7091 */ "IdleDeadline" "\0"
  /*  7104 */ "Image" "\0"
  /*  7110 */ "ImageBitmap" "\0"
  /*  7122 */ "ImageBitmapRenderingContext" "\0"
  /*  7150 */ "ImageCapture" "\0"
  /*  7163 */ "ImageCaptureError" "\0"
  /*  7181 */ "ImageCaptureErrorEvent" "\0"
  /*  7204 */ "ImageData" "\0"
  /*  7214 */ "ImageDocument" "\0"
  /*  7228 */ "InputEvent" "\0"
  /*  7239 */ "InspectorFontFace" "\0"
  /*  7257 */ "InspectorUtils" "\0"
  /*  7272 */ "InstallTriggerImpl" "\0"
  /*  7291 */ "IntersectionObserver" "\0"
  /*  7312 */ "IntersectionObserverEntry" "\0"
  /*  7338 */ "IntlUtils" "\0"
  /*  7348 */ "InvokeEvent" "\0"
  /*  7360 */ "JSProcessActorChild" "\0"
  /*  7380 */ "JSProcessActorParent" "\0"
  /*  7401 */ "JSWindowActorChild" "\0"
  /*  7420 */ "JSWindowActorParent" "\0"
  /*  7440 */ "KeyEvent" "\0"
  /*  7449 */ "KeyboardEvent" "\0"
  /*  7463 */ "KeyframeEffect" "\0"
  /*  7478 */ "L10nFileSource" "\0"
  /*  7493 */ "L10nOverlays" "\0"
  /*  7506 */ "L10nRegistry" "\0"
  /*  7519 */ "LargestContentfulPaint" "\0"
  /*  7542 */ "LegacyMozTCPSocket" "\0"
  /*  7561 */ "Localization" "\0"
  /*  7574 */ "Location" "\0"
  /*  7583 */ "Lock" "\0"
  /*  7588 */ "LockManager" "\0"
  /*  7600 */ "MIDIAccess" "\0"
  /*  7611 */ "MIDIConnectionEvent" "\0"
  /*  7631 */ "MIDIInput" "\0"
  /*  7641 */ "MIDIInputMap" "\0"
  /*  7654 */ "MIDIMessageEvent" "\0"
  /*  7671 */ "MIDIOutput" "\0"
  /*  7682 */ "MIDIOutputMap" "\0"
  /*  7696 */ "MIDIPort" "\0"
  /*  7705 */ "MOZ_debug" "\0"
  /*  7715 */ "MatchGlob" "\0"
  /*  7725 */ "MatchPattern" "\0"
  /*  7738 */ "MatchPatternSet" "\0"
  /*  7754 */ "MathMLElement" "\0"
  /*  7768 */ "MediaCapabilities" "\0"
  /*  7786 */ "MediaCapabilitiesInfo" "\0"
  /*  7808 */ "MediaControlService" "\0"
  /*  7828 */ "MediaController" "\0"
  /*  7844 */ "MediaDeviceInfo" "\0"
  /*  7860 */ "MediaDevices" "\0"
  /*  7873 */ "MediaElementAudioSourceNode" "\0"
  /*  7901 */ "MediaEncryptedEvent" "\0"
  /*  7921 */ "MediaError" "\0"
  /*  7932 */ "MediaKeyError" "\0"
  /*  7946 */ "MediaKeyMessageEvent" "\0"
  /*  7967 */ "MediaKeySession" "\0"
  /*  7983 */ "MediaKeyStatusMap" "\0"
  /*  8001 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8028 */ "MediaKeySystemAccess" "\0"
  /*  8049 */ "MediaKeys" "\0"
  /*  8059 */ "MediaList" "\0"
  /*  8069 */ "MediaMetadata" "\0"
  /*  8083 */ "MediaQueryList" "\0"
  /*  8098 */ "MediaQueryListEvent" "\0"
  /*  8118 */ "MediaRecorder" "\0"
  /*  8132 */ "MediaRecorderErrorEvent" "\0"
  /*  8156 */ "MediaSession" "\0"
  /*  8169 */ "MediaSource" "\0"
  /*  8181 */ "MediaStream" "\0"
  /*  8193 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8225 */ "MediaStreamAudioSourceNode" "\0"
  /*  8252 */ "MediaStreamError" "\0"
  /*  8269 */ "MediaStreamEvent" "\0"
  /*  8286 */ "MediaStreamTrack" "\0"
  /*  8303 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8335 */ "MediaStreamTrackEvent" "\0"
  /*  8357 */ "MerchantValidationEvent" "\0"
  /*  8381 */ "MessageBroadcaster" "\0"
  /*  8400 */ "MessageChannel" "\0"
  /*  8415 */ "MessageEvent" "\0"
  /*  8428 */ "MessageListenerManager" "\0"
  /*  8451 */ "MessagePort" "\0"
  /*  8463 */ "MessageSender" "\0"
  /*  8477 */ "MimeType" "\0"
  /*  8486 */ "MimeTypeArray" "\0"
  /*  8500 */ "MouseEvent" "\0"
  /*  8511 */ "MouseScrollEvent" "\0"
  /*  8528 */ "MozCanvasPrintState" "\0"
  /*  8548 */ "MozDocumentMatcher" "\0"
  /*  8567 */ "MozDocumentObserver" "\0"
  /*  8587 */ "MozQueryInterface" "\0"
  /*  8605 */ "MozSharedMap" "\0"
  /*  8618 */ "MozSharedMap Iterator" "\0"
  /*  8640 */ "MozSharedMapChangeEvent" "\0"
  /*  8664 */ "MozStorageAsyncStatementParams" "\0"
  /*  8695 */ "MozStorageStatementParams" "\0"
  /*  8721 */ "MozStorageStatementRow" "\0"
  /*  8744 */ "MozWritableSharedMap" "\0"
  /*  8765 */ "MutationEvent" "\0"
  /*  8779 */ "MutationObserver" "\0"
  /*  8796 */ "MutationRecord" "\0"
  /*  8811 */ "NamedNodeMap" "\0"
  /*  8824 */ "NavigationPreloadManager" "\0"
  /*  8849 */ "Navigator" "\0"
  /*  8859 */ "NetworkInformation" "\0"
  /*  8878 */ "Node" "\0"
  /*  8883 */ "NodeFilter" "\0"
  /*  8894 */ "NodeIterator" "\0"
  /*  8907 */ "NodeList" "\0"
  /*  8916 */ "Notification" "\0"
  /*  8929 */ "NotificationEvent" "\0"
  /*  8947 */ "NotifyPaintEvent" "\0"
  /*  8964 */ "OES_draw_buffers_indexed" "\0"
  /*  8989 */ "OES_element_index_uint" "\0"
  /*  9012 */ "OES_fbo_render_mipmap" "\0"
  /*  9034 */ "OES_standard_derivatives" "\0"
  /*  9059 */ "OES_texture_float" "\0"
  /*  9077 */ "OES_texture_float_linear" "\0"
  /*  9102 */ "OES_texture_half_float" "\0"
  /*  9125 */ "OES_texture_half_float_linear" "\0"
  /*  9155 */ "OES_vertex_array_object" "\0"
  /*  9179 */ "OVR_multiview2" "\0"
  /*  9194 */ "OfflineAudioCompletionEvent" "\0"
  /*  9222 */ "OfflineAudioContext" "\0"
  /*  9242 */ "OffscreenCanvas" "\0"
  /*  9258 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9292 */ "OnlyForUseInConstructor" "\0"
  /*  9316 */ "Option" "\0"
  /*  9323 */ "OscillatorNode" "\0"
  /*  9338 */ "PageTransitionEvent" "\0"
  /*  9358 */ "PaintRequest" "\0"
  /*  9371 */ "PaintRequestList" "\0"
  /*  9388 */ "PaintWorkletGlobalScope" "\0"
  /*  9412 */ "PannerNode" "\0"
  /*  9423 */ "ParentProcessMessageManager" "\0"
  /*  9451 */ "Path2D" "\0"
  /*  9458 */ "PathUtils" "\0"
  /*  9468 */ "PaymentAddress" "\0"
  /*  9483 */ "PaymentMethodChangeEvent" "\0"
  /*  9508 */ "PaymentRequest" "\0"
  /*  9523 */ "PaymentRequestUpdateEvent" "\0"
  /*  9549 */ "PaymentResponse" "\0"
  /*  9565 */ "PeerConnectionImpl" "\0"
  /*  9584 */ "PeerConnectionObserver" "\0"
  /*  9607 */ "Performance" "\0"
  /*  9619 */ "PerformanceEntry" "\0"
  /*  9636 */ "PerformanceEntryEvent" "\0"
  /*  9658 */ "PerformanceEventTiming" "\0"
  /*  9681 */ "PerformanceMark" "\0"
  /*  9697 */ "PerformanceMeasure" "\0"
  /*  9716 */ "PerformanceNavigation" "\0"
  /*  9738 */ "PerformanceNavigationTiming" "\0"
  /*  9766 */ "PerformanceObserver" "\0"
  /*  9786 */ "PerformanceObserverEntryList" "\0"
  /*  9815 */ "PerformancePaintTiming" "\0"
  /*  9838 */ "PerformanceResourceTiming" "\0"
  /*  9864 */ "PerformanceServerTiming" "\0"
  /*  9888 */ "PerformanceTiming" "\0"
  /*  9906 */ "PeriodicWave" "\0"
  /*  9919 */ "PermissionStatus" "\0"
  /*  9936 */ "Permissions" "\0"
  /*  9948 */ "PlacesBookmark" "\0"
  /*  9963 */ "PlacesBookmarkAddition" "\0"
  /*  9986 */ "PlacesBookmarkChanged" "\0"
  /* 10008 */ "PlacesBookmarkGuid" "\0"
  /* 10027 */ "PlacesBookmarkKeyword" "\0"
  /* 10049 */ "PlacesBookmarkMoved" "\0"
  /* 10069 */ "PlacesBookmarkRemoved" "\0"
  /* 10091 */ "PlacesBookmarkTags" "\0"
  /* 10110 */ "PlacesBookmarkTime" "\0"
  /* 10129 */ "PlacesBookmarkTitle" "\0"
  /* 10149 */ "PlacesBookmarkUrl" "\0"
  /* 10167 */ "PlacesEvent" "\0"
  /* 10179 */ "PlacesEventCounts" "\0"
  /* 10197 */ "PlacesFavicon" "\0"
  /* 10211 */ "PlacesHistoryCleared" "\0"
  /* 10232 */ "PlacesObservers" "\0"
  /* 10248 */ "PlacesPurgeCaches" "\0"
  /* 10266 */ "PlacesRanking" "\0"
  /* 10280 */ "PlacesVisit" "\0"
  /* 10292 */ "PlacesVisitRemoved" "\0"
  /* 10311 */ "PlacesVisitTitle" "\0"
  /* 10328 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10354 */ "Plugin" "\0"
  /* 10361 */ "PluginArray" "\0"
  /* 10373 */ "PluginCrashedEvent" "\0"
  /* 10392 */ "PointerEvent" "\0"
  /* 10405 */ "PopStateEvent" "\0"
  /* 10419 */ "PopupBlockedEvent" "\0"
  /* 10437 */ "PopupPositionedEvent" "\0"
  /* 10458 */ "PositionStateEvent" "\0"
  /* 10477 */ "PrecompiledScript" "\0"
  /* 10495 */ "ProcessMessageManager" "\0"
  /* 10517 */ "ProcessingInstruction" "\0"
  /* 10539 */ "ProgressEvent" "\0"
  /* 10553 */ "PromiseDebugging" "\0"
  /* 10570 */ "PromiseNativeHandler" "\0"
  /* 10591 */ "PromiseRejectionEvent" "\0"
  /* 10613 */ "PublicKeyCredential" "\0"
  /* 10633 */ "PushEvent" "\0"
  /* 10643 */ "PushManager" "\0"
  /* 10655 */ "PushManagerImpl" "\0"
  /* 10671 */ "PushMessageData" "\0"
  /* 10687 */ "PushSubscription" "\0"
  /* 10704 */ "PushSubscriptionOptions" "\0"
  /* 10728 */ "RTCCertificate" "\0"
  /* 10743 */ "RTCDTMFSender" "\0"
  /* 10757 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10780 */ "RTCDataChannel" "\0"
  /* 10795 */ "RTCDataChannelEvent" "\0"
  /* 10815 */ "RTCDtlsTransport" "\0"
  /* 10832 */ "RTCEncodedAudioFrame" "\0"
  /* 10853 */ "RTCEncodedVideoFrame" "\0"
  /* 10874 */ "RTCIceCandidate" "\0"
  /* 10890 */ "RTCIceTransport" "\0"
  /* 10906 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10935 */ "RTCPeerConnection" "\0"
  /* 10953 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10979 */ "RTCPeerConnectionStatic" "\0"
  /* 11003 */ "RTCRtpReceiver" "\0"
  /* 11018 */ "RTCRtpScriptTransform" "\0"
  /* 11040 */ "RTCRtpScriptTransformer" "\0"
  /* 11064 */ "RTCRtpSender" "\0"
  /* 11077 */ "RTCRtpTransceiver" "\0"
  /* 11095 */ "RTCSctpTransport" "\0"
  /* 11112 */ "RTCSessionDescription" "\0"
  /* 11134 */ "RTCStatsReport" "\0"
  /* 11149 */ "RTCTrackEvent" "\0"
  /* 11163 */ "RTCTransformEvent" "\0"
  /* 11181 */ "RadioNodeList" "\0"
  /* 11195 */ "Range" "\0"
  /* 11201 */ "ReadableByteStreamController" "\0"
  /* 11230 */ "ReadableStream" "\0"
  /* 11245 */ "ReadableStream AsyncIterator" "\0"
  /* 11274 */ "ReadableStreamBYOBReader" "\0"
  /* 11299 */ "ReadableStreamBYOBRequest" "\0"
  /* 11325 */ "ReadableStreamDefaultController" "\0"
  /* 11357 */ "ReadableStreamDefaultReader" "\0"
  /* 11385 */ "Report" "\0"
  /* 11392 */ "ReportBody" "\0"
  /* 11403 */ "ReportingObserver" "\0"
  /* 11421 */ "Request" "\0"
  /* 11429 */ "ResizeObserver" "\0"
  /* 11444 */ "ResizeObserverEntry" "\0"
  /* 11464 */ "ResizeObserverSize" "\0"
  /* 11483 */ "Response" "\0"
  /* 11492 */ "SVGAElement" "\0"
  /* 11504 */ "SVGAngle" "\0"
  /* 11513 */ "SVGAnimateElement" "\0"
  /* 11531 */ "SVGAnimateMotionElement" "\0"
  /* 11555 */ "SVGAnimateTransformElement" "\0"
  /* 11582 */ "SVGAnimatedAngle" "\0"
  /* 11599 */ "SVGAnimatedBoolean" "\0"
  /* 11618 */ "SVGAnimatedEnumeration" "\0"
  /* 11641 */ "SVGAnimatedInteger" "\0"
  /* 11660 */ "SVGAnimatedLength" "\0"
  /* 11678 */ "SVGAnimatedLengthList" "\0"
  /* 11700 */ "SVGAnimatedNumber" "\0"
  /* 11718 */ "SVGAnimatedNumberList" "\0"
  /* 11740 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11771 */ "SVGAnimatedRect" "\0"
  /* 11787 */ "SVGAnimatedString" "\0"
  /* 11805 */ "SVGAnimatedTransformList" "\0"
  /* 11830 */ "SVGAnimationElement" "\0"
  /* 11850 */ "SVGCircleElement" "\0"
  /* 11867 */ "SVGClipPathElement" "\0"
  /* 11886 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11922 */ "SVGDefsElement" "\0"
  /* 11937 */ "SVGDescElement" "\0"
  /* 11952 */ "SVGElement" "\0"
  /* 11963 */ "SVGEllipseElement" "\0"
  /* 11981 */ "SVGFEBlendElement" "\0"
  /* 11999 */ "SVGFEColorMatrixElement" "\0"
  /* 12023 */ "SVGFEComponentTransferElement" "\0"
  /* 12053 */ "SVGFECompositeElement" "\0"
  /* 12075 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12102 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12130 */ "SVGFEDisplacementMapElement" "\0"
  /* 12158 */ "SVGFEDistantLightElement" "\0"
  /* 12183 */ "SVGFEDropShadowElement" "\0"
  /* 12206 */ "SVGFEFloodElement" "\0"
  /* 12224 */ "SVGFEFuncAElement" "\0"
  /* 12242 */ "SVGFEFuncBElement" "\0"
  /* 12260 */ "SVGFEFuncGElement" "\0"
  /* 12278 */ "SVGFEFuncRElement" "\0"
  /* 12296 */ "SVGFEGaussianBlurElement" "\0"
  /* 12321 */ "SVGFEImageElement" "\0"
  /* 12339 */ "SVGFEMergeElement" "\0"
  /* 12357 */ "SVGFEMergeNodeElement" "\0"
  /* 12379 */ "SVGFEMorphologyElement" "\0"
  /* 12402 */ "SVGFEOffsetElement" "\0"
  /* 12421 */ "SVGFEPointLightElement" "\0"
  /* 12444 */ "SVGFESpecularLightingElement" "\0"
  /* 12473 */ "SVGFESpotLightElement" "\0"
  /* 12495 */ "SVGFETileElement" "\0"
  /* 12512 */ "SVGFETurbulenceElement" "\0"
  /* 12535 */ "SVGFilterElement" "\0"
  /* 12552 */ "SVGForeignObjectElement" "\0"
  /* 12576 */ "SVGGElement" "\0"
  /* 12588 */ "SVGGeometryElement" "\0"
  /* 12607 */ "SVGGradientElement" "\0"
  /* 12626 */ "SVGGraphicsElement" "\0"
  /* 12645 */ "SVGImageElement" "\0"
  /* 12661 */ "SVGLength" "\0"
  /* 12671 */ "SVGLengthList" "\0"
  /* 12685 */ "SVGLineElement" "\0"
  /* 12700 */ "SVGLinearGradientElement" "\0"
  /* 12725 */ "SVGMPathElement" "\0"
  /* 12741 */ "SVGMarkerElement" "\0"
  /* 12758 */ "SVGMaskElement" "\0"
  /* 12773 */ "SVGMatrix" "\0"
  /* 12783 */ "SVGMetadataElement" "\0"
  /* 12802 */ "SVGNumber" "\0"
  /* 12812 */ "SVGNumberList" "\0"
  /* 12826 */ "SVGPathElement" "\0"
  /* 12841 */ "SVGPathSeg" "\0"
  /* 12852 */ "SVGPathSegArcAbs" "\0"
  /* 12869 */ "SVGPathSegArcRel" "\0"
  /* 12886 */ "SVGPathSegClosePath" "\0"
  /* 12906 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12932 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12958 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12990 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 13022 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 13052 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 13082 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 13118 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 13154 */ "SVGPathSegLinetoAbs" "\0"
  /* 13174 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 13204 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 13234 */ "SVGPathSegLinetoRel" "\0"
  /* 13254 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 13282 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 13310 */ "SVGPathSegList" "\0"
  /* 13325 */ "SVGPathSegMovetoAbs" "\0"
  /* 13345 */ "SVGPathSegMovetoRel" "\0"
  /* 13365 */ "SVGPatternElement" "\0"
  /* 13383 */ "SVGPoint" "\0"
  /* 13392 */ "SVGPointList" "\0"
  /* 13405 */ "SVGPolygonElement" "\0"
  /* 13423 */ "SVGPolylineElement" "\0"
  /* 13442 */ "SVGPreserveAspectRatio" "\0"
  /* 13465 */ "SVGRadialGradientElement" "\0"
  /* 13490 */ "SVGRect" "\0"
  /* 13498 */ "SVGRectElement" "\0"
  /* 13513 */ "SVGSVGElement" "\0"
  /* 13527 */ "SVGScriptElement" "\0"
  /* 13544 */ "SVGSetElement" "\0"
  /* 13558 */ "SVGStopElement" "\0"
  /* 13573 */ "SVGStringList" "\0"
  /* 13587 */ "SVGStyleElement" "\0"
  /* 13603 */ "SVGSwitchElement" "\0"
  /* 13620 */ "SVGSymbolElement" "\0"
  /* 13637 */ "SVGTSpanElement" "\0"
  /* 13653 */ "SVGTextContentElement" "\0"
  /* 13675 */ "SVGTextElement" "\0"
  /* 13690 */ "SVGTextPathElement" "\0"
  /* 13709 */ "SVGTextPositioningElement" "\0"
  /* 13735 */ "SVGTitleElement" "\0"
  /* 13751 */ "SVGTransform" "\0"
  /* 13764 */ "SVGTransformList" "\0"
  /* 13781 */ "SVGUnitTypes" "\0"
  /* 13794 */ "SVGUseElement" "\0"
  /* 13808 */ "SVGViewElement" "\0"
  /* 13823 */ "Sanitizer" "\0"
  /* 13833 */ "Scheduler" "\0"
  /* 13843 */ "Screen" "\0"
  /* 13850 */ "ScreenLuminance" "\0"
  /* 13866 */ "ScreenOrientation" "\0"
  /* 13884 */ "ScriptProcessorNode" "\0"
  /* 13904 */ "ScrollAreaEvent" "\0"
  /* 13920 */ "ScrollViewChangeEvent" "\0"
  /* 13942 */ "SecurityPolicyViolationEvent" "\0"
  /* 13971 */ "Selection" "\0"
  /* 13981 */ "ServiceWorker" "\0"
  /* 13995 */ "ServiceWorkerContainer" "\0"
  /* 14018 */ "ServiceWorkerGlobalScope" "\0"
  /* 14043 */ "ServiceWorkerRegistration" "\0"
  /* 14069 */ "SessionStoreFormData" "\0"
  /* 14090 */ "SessionStoreScrollData" "\0"
  /* 14113 */ "SessionStoreUtils" "\0"
  /* 14131 */ "ShadowRealmGlobalScope" "\0"
  /* 14154 */ "ShadowRoot" "\0"
  /* 14165 */ "SharedWorker" "\0"
  /* 14178 */ "SharedWorkerGlobalScope" "\0"
  /* 14202 */ "SimpleGestureEvent" "\0"
  /* 14221 */ "SourceBuffer" "\0"
  /* 14234 */ "SourceBufferList" "\0"
  /* 14251 */ "SpeechGrammar" "\0"
  /* 14265 */ "SpeechGrammarList" "\0"
  /* 14283 */ "SpeechRecognition" "\0"
  /* 14301 */ "SpeechRecognitionAlternative" "\0"
  /* 14330 */ "SpeechRecognitionError" "\0"
  /* 14353 */ "SpeechRecognitionEvent" "\0"
  /* 14376 */ "SpeechRecognitionResult" "\0"
  /* 14400 */ "SpeechRecognitionResultList" "\0"
  /* 14428 */ "SpeechSynthesis" "\0"
  /* 14444 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14470 */ "SpeechSynthesisEvent" "\0"
  /* 14491 */ "SpeechSynthesisUtterance" "\0"
  /* 14516 */ "SpeechSynthesisVoice" "\0"
  /* 14537 */ "StaticRange" "\0"
  /* 14549 */ "StereoPannerNode" "\0"
  /* 14566 */ "Storage" "\0"
  /* 14574 */ "StorageEvent" "\0"
  /* 14587 */ "StorageManager" "\0"
  /* 14602 */ "StreamFilter" "\0"
  /* 14615 */ "StreamFilterDataEvent" "\0"
  /* 14637 */ "StructuredCloneHolder" "\0"
  /* 14659 */ "StructuredCloneTester" "\0"
  /* 14681 */ "StyleSheet" "\0"
  /* 14692 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14729 */ "StyleSheetList" "\0"
  /* 14744 */ "StyleSheetRemovedEvent" "\0"
  /* 14767 */ "SubmitEvent" "\0"
  /* 14779 */ "SubtleCrypto" "\0"
  /* 14792 */ "SyncMessageSender" "\0"
  /* 14810 */ "SyncReadFile" "\0"
  /* 14823 */ "TCPServerSocket" "\0"
  /* 14839 */ "TCPServerSocketEvent" "\0"
  /* 14860 */ "TCPSocket" "\0"
  /* 14870 */ "TCPSocketErrorEvent" "\0"
  /* 14890 */ "TCPSocketEvent" "\0"
  /* 14905 */ "TaskController" "\0"
  /* 14920 */ "TaskPriorityChangeEvent" "\0"
  /* 14944 */ "TaskSignal" "\0"
  /* 14955 */ "TelemetryStopwatch" "\0"
  /* 14974 */ "TestAttributesOnTypes" "\0"
  /* 14996 */ "TestCEReactionsInterface" "\0"
  /* 15021 */ "TestCImplementedInterface" "\0"
  /* 15047 */ "TestCImplementedInterface2" "\0"
  /* 15074 */ "TestCallbackDictUnionOverload" "\0"
  /* 15104 */ "TestChildInterface" "\0"
  /* 15123 */ "TestConstructorForFuncInterface" "\0"
  /* 15155 */ "TestConstructorForPrefInterface" "\0"
  /* 15187 */ "TestConstructorForSCInterface" "\0"
  /* 15217 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 15253 */ "TestDeprecatedInterface" "\0"
  /* 15277 */ "TestExampleInterface" "\0"
  /* 15298 */ "TestExampleProxyInterface" "\0"
  /* 15324 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 15364 */ "TestExampleWorkerInterface" "\0"
  /* 15391 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 15436 */ "TestFuncConstructorForInterface" "\0"
  /* 15468 */ "TestHTMLConstructorInterface" "\0"
  /* 15497 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 15541 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 15576 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 15611 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 15661 */ "TestIndexedGetterInterface" "\0"
  /* 15688 */ "TestIndexedSetterInterface" "\0"
  /* 15715 */ "TestInterface" "\0"
  /* 15729 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 15768 */ "TestJSImplInterface" "\0"
  /* 15788 */ "TestJSImplInterface2" "\0"
  /* 15809 */ "TestJSImplInterface3" "\0"
  /* 15830 */ "TestJSImplInterface4" "\0"
  /* 15851 */ "TestJSImplInterface5" "\0"
  /* 15872 */ "TestJSImplInterface6" "\0"
  /* 15893 */ "TestJSImplNoInterfaceObject" "\0"
  /* 15921 */ "TestLegacyFactoryFunctionInterface" "\0"
  /* 15956 */ "TestLegacyFactoryFunctionInterface2" "\0"
  /* 15992 */ "TestNamedDeleterInterface" "\0"
  /* 16018 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 16054 */ "TestNamedGetterInterface" "\0"
  /* 16079 */ "TestNamedSetterInterface" "\0"
  /* 16104 */ "TestNamespace" "\0"
  /* 16118 */ "TestNonWrapperCacheInterface" "\0"
  /* 16147 */ "TestParentInterface" "\0"
  /* 16167 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 16215 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 16260 */ "TestPrefConstructorForInterface" "\0"
  /* 16292 */ "TestProtoObjectHackedNamespace" "\0"
  /* 16323 */ "TestRenamedInterface" "\0"
  /* 16344 */ "TestRenamedNamespace" "\0"
  /* 16365 */ "TestSCConstructorForInterface" "\0"
  /* 16395 */ "TestSecureContextInterface" "\0"
  /* 16422 */ "TestThrowingConstructorInterface" "\0"
  /* 16455 */ "TestUtils" "\0"
  /* 16465 */ "TestWorkerExposedInterface" "\0"
  /* 16492 */ "TestingDeprecatedInterface" "\0"
  /* 16519 */ "Text" "\0"
  /* 16524 */ "TextClause" "\0"
  /* 16535 */ "TextDecoder" "\0"
  /* 16547 */ "TextDecoderStream" "\0"
  /* 16565 */ "TextEncoder" "\0"
  /* 16577 */ "TextEncoderStream" "\0"
  /* 16595 */ "TextEvent" "\0"
  /* 16605 */ "TextMetrics" "\0"
  /* 16617 */ "TextTrack" "\0"
  /* 16627 */ "TextTrackCue" "\0"
  /* 16640 */ "TextTrackCueList" "\0"
  /* 16657 */ "TextTrackList" "\0"
  /* 16671 */ "TimeEvent" "\0"
  /* 16681 */ "TimeRanges" "\0"
  /* 16692 */ "ToggleEvent" "\0"
  /* 16704 */ "Touch" "\0"
  /* 16710 */ "TouchEvent" "\0"
  /* 16721 */ "TouchList" "\0"
  /* 16731 */ "TrackEvent" "\0"
  /* 16742 */ "TransformStream" "\0"
  /* 16758 */ "TransformStreamDefaultController" "\0"
  /* 16791 */ "TransitionEvent" "\0"
  /* 16807 */ "TreeColumn" "\0"
  /* 16818 */ "TreeColumns" "\0"
  /* 16830 */ "TreeContentView" "\0"
  /* 16846 */ "TreeWalker" "\0"
  /* 16857 */ "TrustedHTML" "\0"
  /* 16869 */ "TrustedScript" "\0"
  /* 16883 */ "TrustedScriptURL" "\0"
  /* 16900 */ "TrustedTypePolicy" "\0"
  /* 16918 */ "TrustedTypePolicyFactory" "\0"
  /* 16943 */ "UDPMessageEvent" "\0"
  /* 16959 */ "UDPSocket" "\0"
  /* 16969 */ "UIEvent" "\0"
  /* 16977 */ "URL" "\0"
  /* 16981 */ "URLSearchParams" "\0"
  /* 16997 */ "URLSearchParams Iterator" "\0"
  /* 17022 */ "UniFFIPointer" "\0"
  /* 17036 */ "UniFFIScaffolding" "\0"
  /* 17054 */ "UserActivation" "\0"
  /* 17069 */ "UserInteraction" "\0"
  /* 17085 */ "UserProximityEvent" "\0"
  /* 17104 */ "VRDisplay" "\0"
  /* 17114 */ "VRDisplayCapabilities" "\0"
  /* 17136 */ "VRDisplayEvent" "\0"
  /* 17151 */ "VREyeParameters" "\0"
  /* 17167 */ "VRFieldOfView" "\0"
  /* 17181 */ "VRFrameData" "\0"
  /* 17193 */ "VRMockController" "\0"
  /* 17210 */ "VRMockDisplay" "\0"
  /* 17224 */ "VRPose" "\0"
  /* 17231 */ "VRServiceTest" "\0"
  /* 17245 */ "VRStageParameters" "\0"
  /* 17263 */ "VTTCue" "\0"
  /* 17270 */ "VTTRegion" "\0"
  /* 17280 */ "ValidityState" "\0"
  /* 17294 */ "VideoColorSpace" "\0"
  /* 17310 */ "VideoDecoder" "\0"
  /* 17323 */ "VideoEncoder" "\0"
  /* 17336 */ "VideoFrame" "\0"
  /* 17347 */ "VideoPlaybackQuality" "\0"
  /* 17368 */ "VideoTrack" "\0"
  /* 17379 */ "VideoTrackList" "\0"
  /* 17394 */ "VisualViewport" "\0"
  /* 17409 */ "WEBGL_color_buffer_float" "\0"
  /* 17434 */ "WEBGL_compressed_texture_astc" "\0"
  /* 17464 */ "WEBGL_compressed_texture_etc" "\0"
  /* 17493 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 17523 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 17554 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 17584 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 17619 */ "WEBGL_debug_renderer_info" "\0"
  /* 17645 */ "WEBGL_debug_shaders" "\0"
  /* 17665 */ "WEBGL_depth_texture" "\0"
  /* 17685 */ "WEBGL_draw_buffers" "\0"
  /* 17704 */ "WEBGL_explicit_present" "\0"
  /* 17727 */ "WEBGL_lose_context" "\0"
  /* 17746 */ "WEBGL_provoking_vertex" "\0"
  /* 17769 */ "WakeLock" "\0"
  /* 17778 */ "WakeLockSentinel" "\0"
  /* 17795 */ "WaveShaperNode" "\0"
  /* 17810 */ "WebExtensionContentScript" "\0"
  /* 17836 */ "WebExtensionPolicy" "\0"
  /* 17855 */ "WebGL2RenderingContext" "\0"
  /* 17878 */ "WebGLActiveInfo" "\0"
  /* 17894 */ "WebGLBuffer" "\0"
  /* 17906 */ "WebGLContextEvent" "\0"
  /* 17924 */ "WebGLFramebuffer" "\0"
  /* 17941 */ "WebGLProgram" "\0"
  /* 17954 */ "WebGLQuery" "\0"
  /* 17965 */ "WebGLRenderbuffer" "\0"
  /* 17983 */ "WebGLRenderingContext" "\0"
  /* 18005 */ "WebGLSampler" "\0"
  /* 18018 */ "WebGLShader" "\0"
  /* 18030 */ "WebGLShaderPrecisionFormat" "\0"
  /* 18057 */ "WebGLSync" "\0"
  /* 18067 */ "WebGLTexture" "\0"
  /* 18080 */ "WebGLTransformFeedback" "\0"
  /* 18103 */ "WebGLUniformLocation" "\0"
  /* 18124 */ "WebGLVertexArrayObject" "\0"
  /* 18147 */ "WebKitCSSMatrix" "\0"
  /* 18163 */ "WebSocket" "\0"
  /* 18173 */ "WebTransport" "\0"
  /* 18186 */ "WebTransportBidirectionalStream" "\0"
  /* 18218 */ "WebTransportDatagramDuplexStream" "\0"
  /* 18251 */ "WebTransportError" "\0"
  /* 18269 */ "WebTransportReceiveStream" "\0"
  /* 18295 */ "WebTransportSendStream" "\0"
  /* 18318 */ "WebrtcGlobalInformation" "\0"
  /* 18342 */ "WheelEvent" "\0"
  /* 18353 */ "Window" "\0"
  /* 18360 */ "WindowClient" "\0"
  /* 18373 */ "WindowContext" "\0"
  /* 18387 */ "WindowGlobalChild" "\0"
  /* 18405 */ "WindowGlobalParent" "\0"
  /* 18424 */ "WindowRoot" "\0"
  /* 18435 */ "Worker" "\0"
  /* 18442 */ "WorkerDebuggerGlobalScope" "\0"
  /* 18468 */ "WorkerGlobalScope" "\0"
  /* 18486 */ "WorkerLocation" "\0"
  /* 18501 */ "WorkerNavigator" "\0"
  /* 18517 */ "WorkerTestUtils" "\0"
  /* 18533 */ "Worklet" "\0"
  /* 18541 */ "WorkletGlobalScope" "\0"
  /* 18560 */ "WritableStream" "\0"
  /* 18575 */ "WritableStreamDefaultController" "\0"
  /* 18607 */ "WritableStreamDefaultWriter" "\0"
  /* 18635 */ "XMLDocument" "\0"
  /* 18647 */ "XMLHttpRequest" "\0"
  /* 18662 */ "XMLHttpRequestEventTarget" "\0"
  /* 18688 */ "XMLHttpRequestUpload" "\0"
  /* 18709 */ "XMLSerializer" "\0"
  /* 18723 */ "XPathEvaluator" "\0"
  /* 18738 */ "XPathExpression" "\0"
  /* 18754 */ "XPathResult" "\0"
  /* 18766 */ "XRBoundedReferenceSpace" "\0"
  /* 18790 */ "XRFrame" "\0"
  /* 18798 */ "XRInputSource" "\0"
  /* 18812 */ "XRInputSourceArray" "\0"
  /* 18831 */ "XRInputSourceEvent" "\0"
  /* 18850 */ "XRInputSourcesChangeEvent" "\0"
  /* 18876 */ "XRPose" "\0"
  /* 18883 */ "XRReferenceSpace" "\0"
  /* 18900 */ "XRReferenceSpaceEvent" "\0"
  /* 18922 */ "XRRenderState" "\0"
  /* 18936 */ "XRRigidTransform" "\0"
  /* 18953 */ "XRSession" "\0"
  /* 18963 */ "XRSessionEvent" "\0"
  /* 18978 */ "XRSpace" "\0"
  /* 18986 */ "XRSystem" "\0"
  /* 18995 */ "XRView" "\0"
  /* 19002 */ "XRViewerPose" "\0"
  /* 19015 */ "XRViewport" "\0"
  /* 19026 */ "XRWebGLLayer" "\0"
  /* 19039 */ "XSLTProcessor" "\0"
  /* 19053 */ "XULCommandEvent" "\0"
  /* 19069 */ "XULElement" "\0"
  /* 19080 */ "XULFrameElement" "\0"
  /* 19096 */ "XULMenuElement" "\0"
  /* 19111 */ "XULPopupElement" "\0"
  /* 19127 */ "XULResizerElement" "\0"
  /* 19145 */ "XULTextElement" "\0"
  /* 19160 */ "XULTreeElement" "\0"
  /* 19175 */ "console" "\0"
  /* 19183 */ "webkitSpeechGrammar" "\0"
  /* 19203 */ "webkitSpeechGrammarList" "\0"
  /* 19227 */ "webkitSpeechRecognition" "\0"
  /* 19251 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

